package com.steerinfo.dil.mapper;


import com.steerinfo.dil.model.OmstruckOrderMaterial;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;

@Mapper
public interface OmstruckOrderMaterialMapper extends IBaseMapper<OmstruckOrderMaterial, BigDecimal> {

    //查询最大主键Id
    @Select("select seq_omstruck_order_material.nextval from dual")
    BigDecimal selectMaxId();

}