package com.steerinfo.dil.service;

import com.steerinfo.dil.model.AmstruckInwardPlan;
import com.steerinfo.framework.service.IBaseService;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * AmstruckInwardPlan服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-25 03:21
 * 类描述
 * 修订历史：
 * 日期：2021-10-25
 * 作者：generator
 * 参考：
 * 描述：AmstruckInwardPlan服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IAmstruckInwardPlanService extends IBaseService<AmstruckInwardPlan, BigDecimal> {

    int insert(Map<String,Object> mapValue);

    List<Map<String, Object>> getTruckPlanList(Map<String, Object> mapValue);

    int deleteTruckPlan(BigDecimal planId);

    int updateTruckPlan(AmstruckInwardPlan amstruckInwardPlan);

    int downTruckPlan(List<Map<String,Object>> mapList);

    List<Map<String, Object>> selectInwardPlanToUpdate(BigDecimal planId);

    List<Map<String, Object>> getCarrierList();

    int receiveInwardPlan(BigDecimal planId);
}